### Function

# Ide Notification file_progress_callback

#### Declaration

    void
    ide_notification_file_progress_callback (
      goffset current_num_bytes,
      goffset total_num_bytes,
      gpointer user_data
    )

#### Description

This function is a `GFileProgressCallback` helper that will update the `IdeNotification:fraction` property. `user_data` must be an `IdeNotification`.

Remember to make sure to unref the `IdeNotification` instance with `g_object_unref()` during the `GDestroyNotify`.

Available since: | 3.32

#### Parameters

`current_num_bytes` | `goffset`
| No description available.
`total_num_bytes` | `goffset`
| No description available.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.